CREATE TABLE hr_document_types_b[ (
    DOCUMENT_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    CATEGORY_CODE                  VARCHAR2(120)     NOT NULL,
    SUB_CATEGORY_CODE              VARCHAR2(120) ,
    ENTERPRISE_ID                  NUMBER(18, 0)     NOT NULL,
    LEGISLATION_CODE               VARCHAR2(120) ,
    WARNING_PERIOD                 NUMBER(18, 0) ,
    ACTIVE_INACTIVE_FLAG           VARCHAR2(120)     NOT NULL,
    MULTIPLE_OCCURENCES_FLAG       VARCHAR2(120)     NOT NULL,
    AUTHORIZATION_REQUIRED         VARCHAR2(4)       NOT NULL,
    DOCUMENT_NAME_REQUIRED         VARCHAR2(120)     NOT NULL,
    DOCUMENT_NUMBER_REQUIRED       VARCHAR2(120)     NOT NULL,
    DATE_FROM_REQUIRED             VARCHAR2(120)     NOT NULL,
    DATE_TO_REQUIRED               VARCHAR2(120)     NOT NULL,
    ISSUING_AUTHORITY_REQUIRED     VARCHAR2(120)     NOT NULL,
    ISSUED_DATE_REQUIRED           VARCHAR2(120)     NOT NULL,
    ISSUING_COUNTRY_REQUIRED       VARCHAR2(120)     NOT NULL,
    ISSUING_LOCATION_REQUIRED      VARCHAR2(120)     NOT NULL,
    COMMENTS_REQUIRED              VARCHAR2(120)     NOT NULL,
    PUBLISH_REQUIRED               VARCHAR2(120)     NOT NULL,
    SYSTEM_DOCUMENT_TYPE           VARCHAR2(480)     NOT NULL,
    HIERARCHY_CODE                 VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    MODULE_ID                      VARCHAR2(128) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    BI_REPORT_PATH                 VARCHAR2(4000),
    LOCK_CREATE                    VARCHAR2(120) ,
    LOCK_UPDATE                    VARCHAR2(120) ,
    LOCK_DELETE                    VARCHAR2(120) ,
    MIN_ATTACHMENTS_COUNT          NUMBER(5, 0)      NOT NULL,
    RESTRICT_CREATE_ATTACH         VARCHAR2(120) ,
    RESTRICT_UPDATE_ATTACH         VARCHAR2(120) ,
    RESTRICT_DELETE_ATTACH         VARCHAR2(120) ,
    DOCUMENT_TYPE_LEVEL            VARCHAR2(120) ,
    DT_ATTRIBUTE_CATEGORY          VARCHAR2(600) ,
    DT_ATTRIBUTE1                  VARCHAR2(600) ,
    DT_ATTRIBUTE2                  VARCHAR2(600) ,
    DT_ATTRIBUTE3                  VARCHAR2(600) ,
    DT_ATTRIBUTE4                  VARCHAR2(600) ,
    DT_ATTRIBUTE5                  VARCHAR2(600) ,
    DT_ATTRIBUTE6                  VARCHAR2(600) ,
    DT_ATTRIBUTE7                  VARCHAR2(600) ,
    DT_ATTRIBUTE8                  VARCHAR2(600) ,
    DT_ATTRIBUTE9                  VARCHAR2(4000),
    DT_ATTRIBUTE10                 VARCHAR2(4000),
    DT_ATTRIBUTE_NUMBER1           NUMBER        ,
    DT_ATTRIBUTE_NUMBER2           NUMBER        ,
    DT_ATTRIBUTE_NUMBER3           NUMBER        ,
    DT_ATTRIBUTE_NUMBER4           NUMBER        ,
    DT_ATTRIBUTE_NUMBER5           NUMBER        ,
    DT_ATTRIBUTE_NUMBER6           NUMBER        ,
    DT_ATTRIBUTE_NUMBER7           NUMBER        ,
    DT_ATTRIBUTE_NUMBER8           NUMBER        ,
    DT_ATTRIBUTE_NUMBER9           NUMBER        ,
    DT_ATTRIBUTE_NUMBER10          NUMBER        ,
    DT_ATTRIBUTE_DATE1             DATE          ,
    DT_ATTRIBUTE_DATE2             DATE          ,
    DT_ATTRIBUTE_DATE3             DATE          ,
    DT_ATTRIBUTE_DATE4             DATE          ,
    DT_ATTRIBUTE_DATE5             DATE          ,
    DT_ATTRIBUTE_DATE6             DATE          ,
    DT_ATTRIBUTE_DATE7             DATE          ,
    DT_ATTRIBUTE_DATE8             DATE          ,
    DT_ATTRIBUTE_DATE9             DATE          ,
    DT_ATTRIBUTE_DATE10            DATE          ,
    DT_ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6)  ,
    DT_ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6)  ,
    DT_ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6)  ,
    DT_ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6)  ,
    DT_ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6)  ,
    DT_INFORMATION_CATEGORY        VARCHAR2(600) ,
    DT_INFORMATION1                VARCHAR2(600) ,
    DT_INFORMATION2                VARCHAR2(600) ,
    DT_INFORMATION3                VARCHAR2(600) ,
    DT_INFORMATION4                VARCHAR2(600) ,
    DT_INFORMATION5                VARCHAR2(600) ,
    DT_INFORMATION6                VARCHAR2(600) ,
    DT_INFORMATION7                VARCHAR2(600) ,
    DT_INFORMATION8                VARCHAR2(600) ,
    DT_INFORMATION9                VARCHAR2(4000),
    DT_INFORMATION10               VARCHAR2(4000),
    DT_INFORMATION_NUMBER1         NUMBER        ,
    DT_INFORMATION_NUMBER2         NUMBER        ,
    DT_INFORMATION_NUMBER3         NUMBER        ,
    DT_INFORMATION_NUMBER4         NUMBER        ,
    DT_INFORMATION_NUMBER5         NUMBER        ,
    DT_INFORMATION_NUMBER6         NUMBER        ,
    DT_INFORMATION_NUMBER7         NUMBER        ,
    DT_INFORMATION_NUMBER8         NUMBER        ,
    DT_INFORMATION_NUMBER9         NUMBER        ,
    DT_INFORMATION_NUMBER10        NUMBER        ,
    DT_INFORMATION_DATE1           DATE          ,
    DT_INFORMATION_DATE2           DATE          ,
    DT_INFORMATION_DATE3           DATE          ,
    DT_INFORMATION_DATE4           DATE          ,
    DT_INFORMATION_DATE5           DATE          ,
    DT_INFORMATION_DATE6           DATE          ,
    DT_INFORMATION_DATE7           DATE          ,
    DT_INFORMATION_DATE8           DATE          ,
    DT_INFORMATION_DATE9           DATE          ,
    DT_INFORMATION_DATE10          DATE          ,
    DT_INFORMATION_TIMESTAMP1      TIMESTAMP(6)  ,
    DT_INFORMATION_TIMESTAMP2      TIMESTAMP(6)  ,
    DT_INFORMATION_TIMESTAMP3      TIMESTAMP(6)  ,
    DT_INFORMATION_TIMESTAMP4      TIMESTAMP(6)  ,
    DT_INFORMATION_TIMESTAMP5      TIMESTAMP(6)  ,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    ARCHIVE_CRITERIA_DAYS          NUMBER(5, 0)  ,
    ARCHIVE_CRITERIA_BASIS         VARCHAR2(120) ,
    PURGE_ARCHIVE_CRITERIA_DAYS    NUMBER(5, 0)  ,
    LOCK_CREATE_ROLE_LIST          VARCHAR2(4000),
    LOCK_UPDATE_ROLE_LIST          VARCHAR2(4000),
    LOCK_DELETE_ROLE_LIST          VARCHAR2(4000),
    DFF_GLB_SEG_DISPLAY_PREF       VARCHAR2(120) ,
    DFF_CTX_SEG_DISPLAY_PREF       VARCHAR2(120) ,
    DFF_CTX_SEG_DEFAULT_VALUE      VARCHAR2(480) ,
    TAG_LIST                       VARCHAR2(4000),
    SGUID                          VARCHAR2(128) 
);
